package com.uas.test;

import com.uas.account.entity.User;
import org.springframework.ui.ModelMap;
import org.springframework.util.StringUtils;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.TypeReference;
import com.uas.account.entity.UserSpaceDetail;
import com.uas.account.support.Page;
import com.uas.sso.common.util.HttpUtil;
import com.uas.sso.common.util.HttpUtil.ResponseWrap;

public class UserSpaceTest {

	public static void main(String[] args) throws Exception {
//		String Url = "https://account.ubtob.com/api/partners";
//		if (!StringUtils.isEmpty(Url)) {
//			ResponseWrap res = HttpUtil.doGet(
//					Url,
//					new ModelMap("_operate", "getUserSpaces").addAttribute("keyword", "优软").addAttribute("pageNumber", 1)
//							.addAttribute("pageSize", 50));
//			if (res.isSuccess()) {
//				Page<UserSpaceDetail> us = JSON.parseObject(res.getContent(), new TypeReference<Page<UserSpaceDetail>>() {
//				});
//				System.out.println("共找到：" + us.getTotalElements());
//				for (UserSpaceDetail u : us.getContent())
//					System.out.println(u.getName());
//			}
//		}
		ModelMap data = new ModelMap();
		data.put("uu", 243244L);
		data.put("name", "zhenfan");
		data.put("password", "erewrfeww");
		ResponseWrap res = HttpUtil.doPost("http://192.168.253.66:9000/uuLogin", new ModelMap("userInfo", JSON.toJSONString(data)) );
		if (res.isSuccess()) {

		}
	}

}
